import React from 'react';
import { FontStyleProps } from '@portkey/trader-utils';
import './index.less';
export interface FontProps extends FontStyleProps {
    className?: string;
    children?: React.ReactChild | React.ReactNode;
    prefix?: string | SVGAElement | JSX.Element;
    suffix?: string | SVGAElement | JSX.Element;
}
export default function Font({ weight, color, size, lineHeight, align, className, children, prefix, suffix, }: FontProps): JSX.Element;
