import { FontStyleProps } from '@portkey/trader-utils';
import { TokenInfo } from '@portkey/trader-types/src/swap';
import './index.less';
export interface PairsProps extends FontStyleProps {
    tokenA?: TokenInfo | string;
    tokenB?: TokenInfo | string;
    delimiter?: string;
    maxLength?: number;
    isAutoOrder?: boolean;
}
export default function Pairs({ tokenA, tokenB, isAutoOrder, delimiter, ...props }: PairsProps): import("react/jsx-runtime").JSX.Element;
