import './index.less';
import { TTokenItem } from '../../../../types';
export interface ISwapPanel {
    wrapClassName?: string;
    selectTokenInSymbol?: string;
    selectTokenOutSymbol?: string;
    onConfirmSwap?: () => void;
}
export type TSwapInfo = {
    tokenIn?: TTokenItem;
    tokenOut?: TTokenItem;
    valueIn: string;
    valueOut: string;
};
export declare enum BtnErrEnum {
    'error' = "error",
    'none' = "none",
    'tip' = "tip"
}
export interface IValueInfo {
    tokenIn: TTokenItem | undefined;
    tokenOut: TTokenItem | undefined;
    valueIn: string;
    valueOut: string;
}
export default function SwapPanel({ wrapClassName, selectTokenInSymbol, selectTokenOutSymbol, onConfirmSwap, }: ISwapPanel): import("react/jsx-runtime").JSX.Element;
