export declare const SetLimitExplain = "Transfers within the limits do not need approval from guardians. However, if a transfer exceeds these limits, you must either request a one-time approval for that specific transaction or modify the settings beforehand. Please note that settings of the limits will be applied universally to all your token transfers.";
export declare const NoLimit = "No limit for transfer";
export declare const SingleExceedDaily = "Cannot exceed the daily limit";
export declare const ExceedSingleLimit = "Maximum limit per transaction exceeded. To proceed, you need to modify the limit first.";
export declare const ExceedDailyLimit = "Maximum daily limit exceeded. To proceed, you need to modify the limit first.";
export declare const LimitFormatTip = "Please enter a positive whole number";
export declare const ApproveExceedSingleLimit = "Maximum limit per transaction exceeded. To proceed with this specific transaction, you may request a one-time approval from guardians. Alternatively, you have the option to modify the limit, lifting restrictions on all future transactions.";
export declare const ApproveExceedDailyLimit = "Maximum daily limit exceeded. To proceed with this specific transaction, you may request a one-time approval from guardians. Alternatively, you have the option to modify the limit, lifting restrictions on all future transactions.";
export declare const SecurityVulnerabilityTip = "You have too few guardians to protect your wallet. Please add at least one more guardian before proceeding.";
export declare const SecurityAccelerateErrorTip = "Guardian failed to be added. Please wait a while for the addition to complete.";
export declare const MAX_TRANSACTION_FEE = 0.1;
export declare enum LimitType {
    Single = "Single",
    Daily = "Daily"
}
