/// <reference types="react" />
import { ModalProps, DrawerProps } from 'antd';
import { FontProps } from '../Font';
import './index.less';
interface CommonModalProps extends ModalProps, DrawerProps {
    leftCallBack?: () => void;
    transitionName?: string;
    showBackIcon?: boolean;
    showType?: 'modal' | 'drawer' | '';
    closeOnLogin?: boolean;
    getContainer?: string | HTMLElement | (() => HTMLElement) | false;
    titleFontProps?: {
        size: FontProps['size'];
        lineHeight: FontProps['lineHeight'];
    };
    footer?: React.ReactNode;
    onClose?: (e: any) => void;
}
export default function CommonModal({ leftCallBack, width, height, title, centered, className, onCancel, placement, visible, showBackIcon, closable, showType, getContainer, titleFontProps, ...props }: CommonModalProps): import("react/jsx-runtime").JSX.Element;
export {};
